Quits on launch on Android Lollipop developer preview

Subforum for discussion and help with ScummVM's Android port

Moderator: ScummVM Team

widar
Posts: 9
Joined: Mon Nov 24, 2014 7:09 pm

Post by widar »

True. I just installed f2fffeb1 on a Nexus 9. This build appears to be broken.
76b71cab worked fine before.
Quester
Posts: 5
Joined: Thu Jan 29, 2015 6:54 pm

Post by Quester »

widar wrote:True. I just installed f2fffeb1 on a Nexus 9. This build appears to be broken.
76b71cab worked fine before.
This is exactly the one I installed.
Quester
Posts: 5
Joined: Thu Jan 29, 2015 6:54 pm

Post by Quester »

I've managed to get it working.

Downloaded the last stable build, it comes with all the plugins, installed both apk's and it's working now.

Just awaiting for the official build to come in the play store.
widar
Posts: 9
Joined: Mon Nov 24, 2014 7:09 pm

Post by widar »

Stable works on Lollipop now? Then why the hell isn't it on Google Play yet?
digitall
ScummVM Developer
Posts: 1069
Joined: Thu Aug 02, 2012 1:40 pm

Post by digitall »

widar: You could bother to search the previous forum threads as per Rule 1a: http://forums.scummvm.org/viewtopic.php?t=17

The issues with the Android Market / Google Play since v1.5.0 are explained in this thread:
http://forums.scummvm.org/viewtopic.php?t=12624
widar
Posts: 9
Joined: Mon Nov 24, 2014 7:09 pm

Post by widar »

digitall wrote:The issues with the Android Market / Google Play since v1.5.0 are explained in this thread:
http://forums.scummvm.org/viewtopic.php?t=12624
No, not really. That thread is about 1.6, whereas 1.7 has been up for months.

I don't want to bitch about that, though. It would just be nice to at least change the manifest of the APK on Google play to exclude Lollipop when it doesn't work anyway and link to this thread in the package's description or something like that.

I greatly appreciate all the work that went and still goes into this project, but this Play Store crap just makes the devs look stupid.
digitall
ScummVM Developer
Posts: 1069
Joined: Thu Aug 02, 2012 1:40 pm

Post by digitall »

widar: Feel free to open a Pull Request to add maxSDKVersion to https://github.com/scummvm/scummvm/blob ... est.xml.in ... This is no longer used in Android as it is deprecated, but the Play Store will apparently still use it when filtering offered downloads.
widar
Posts: 9
Joined: Mon Nov 24, 2014 7:09 pm

Post by widar »

I'd have to patch against branch-1-7-0. Master would be useless as it works on lollipop at the moment.

Still, someone would have to republish it, so why bother?
digitall
ScummVM Developer
Posts: 1069
Joined: Thu Aug 02, 2012 1:40 pm

Post by digitall »

How constructive of you...
widar
Posts: 9
Joined: Mon Nov 24, 2014 7:09 pm

Post by widar »

Constructive?
I can send that one line (!) patch later if it helps. How long do you think it will take for an updated build to appear on Google Play?
digitall
ScummVM Developer
Posts: 1069
Joined: Thu Aug 02, 2012 1:40 pm

Post by digitall »

Don't worry about it. I will deal with the Pull Request.

In future, I hope that the Android Porter accurately blacklists all pre-release versions.
Post Reply